System.Web 2.0.0.0 System.Enum

The enumeration is used in an application's configuration file to set the protocol used to secure communications between an object and an Active Directory or Active Directory Application Mode server. The enumeration indicates the type of connection security the provider established based on the connectionProtection attribute of the membership configuration element. The connectionProtection attribute can be set only to either "None" or "Secure".

Specifies the connection protection options supported by the class.

- Field
  System.Web.Security.ActiveDirectoryConnectionProtection

  No transport layer security is used. Explicit credentials for the Active Directory connection must be provided in the configuration file.

  2.0.0.0
- Field
  System.Web.Security.ActiveDirectoryConnectionProtection

  The connection to the Active Directory server is secured by digitally signing and encrypting each packet sent to the server.

  2.0.0.0
- Field
  System.Web.Security.ActiveDirectoryConnectionProtection

  An SSL connection is used to connect to the Active Directory server.

  2.0.0.0